<?php
/**
 * Plugin Name: Rokt Ecommerce
 * Plugin URI: https://docs.rokt.com/docs/developers/integration-guides/third-party-integrations/woocommerce/user-guide
 * Description: Rokt Ecommerce monetize your confirmation page and unlock value for shoppers.
 * Version: 1.1.4
 * Requires at least: 4.9
 * Requires PHP: 7.3
 * Author: Rokt
 * Author URI: https://rokt.com/
 * Developer: Rokt
 * Developer URI: https://rokt.com/
 * Text Domain: rokt-ecommerce
 * Domain Path: /languages
 *
 * WC requires at least: 5.0
 * WC tested up to: 6.5.1
 *
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace Rokt\Plugin\Ecommerce;

defined( 'ABSPATH' ) || exit;

use Rokt\Plugin\Ecommerce\Admin\Admin;
use Rokt\Plugin\Ecommerce\Includes\Helper;

if ( is_readable( __DIR__ . '/vendor/autoload.php' ) ) {
	require __DIR__ . '/vendor/autoload.php';
}

function run_rokt_ecommerce() {
	if ( Helper::check_woocommerce_plugin_status() ) {
		$config = require __DIR__ . '/config.php';

		if ( is_readable( __DIR__ . '/config.local.php' ) ) {
			$local_config = require __DIR__ . '/config.local.php';
			$config       = array_merge( $config, $local_config );
		}

		$rokt_ecommerce = new Plugin( $config );
		$rokt_ecommerce->run();
		return;
	}
	Admin::required_woocommerce_activation_notice();
}

add_action(
	'plugins_loaded',
	__NAMESPACE__ . '\run_rokt_ecommerce',
	12
);
