<?php

namespace Rokt\Plugin\Ecommerce\Api;

defined( 'ABSPATH' ) || exit;

use Rokt\Plugin\Ecommerce\Includes\Helper;
use Rokt\Plugin\Ecommerce\Includes\Constants;
use Rokt\Plugin\Ecommerce\Plugin;

defined( 'ABSPATH' ) || exit;

class Authentication extends \WP_REST_Controller {

	protected $path = '/authentication';
	public $plugin;

	public function __construct( $plugin ) {
		$this->plugin = $plugin;
	}

	public function register_routes() {
		register_rest_route(
			Init::$base_namespace,
			$this->path,
			array(
				array(
					'methods'             => \WP_REST_Server::CREATABLE,
					'callback'            => array( $this, 'store_auth_token' ),
					'permission_callback' => array( $this, 'store_auth_token_permissions_check' ),
				),
			)
		);
	}

	public function store_auth_token( \WP_REST_Request $request ) {
		$request_body   = $request->get_body_params();
		$api_secret_key = $request_body[ Constants::API_SECRET_KEY ];
		if ( $api_secret_key ) {
			Helper::update_option( Constants::API_SECRET_KEY, $api_secret_key );
		}

		wp_safe_redirect( admin_url( 'admin.php?page=' . Plugin::$plugin_name ) );
		exit;
	}

	public function store_auth_token_permissions_check() {
		return true;
	}
}
