<?php

namespace Rokt\Plugin\Ecommerce\Api;

defined( 'ABSPATH' ) || exit;

class Init {
	public static $base_namespace = 'rokt-ecommerce';
	public $plugin;

	public function __construct( $plugin ) {
		$this->plugin = $plugin;
	}

	public function register_routes() {
		$controllers = array(
			'Rokt\Plugin\Ecommerce\Api\Authentication',
			'Rokt\Plugin\Ecommerce\Api\RoktProxy',
			'Rokt\Plugin\Ecommerce\Api\Accounts',
		);

		foreach ( $controllers as $controller ) {
			$this->$controller = new $controller( $this->plugin );
			$this->$controller->register_routes();
		}
	}

	public function allowed_redirect_hosts( $hosts ) {
		$rokt_api_host = wp_parse_url( $this->plugin->config['rokt_api_endpoint'] )['host'];

		$allowed_hosts = array(
			$rokt_api_host,
		);

		return array_merge( $hosts, $allowed_hosts );
	}
}
