<?php
namespace Rokt\Plugin\Ecommerce\Includes;

defined( 'ABSPATH' ) || exit;

class PluginHelper {

	public static function check_woocommerce_plugin_activated() {
		// if you are using a custom folder name other than woocommerce just define the constant to TRUE.
		if ( defined( 'RUNNING_CUSTOM_WOOCOMMERCE' ) && RUNNING_CUSTOM_WOOCOMMERCE === true ) {
			return true;
		}
		// it the plugin is active, we're good.
		if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ), true ) ) {
			return true;
		}
		if ( ! is_multisite() ) {
			return false;
		}
		$plugins = get_site_option( 'active_sitewide_plugins' );
		return isset( $plugins['woocommerce/woocommerce.php'] );
	}
}
